Subject: bug#61704: 29.0.60; Crash in get_narrowed_begv

From: martin rudalics <[email-masked]>
Date: Thu, 23 Feb 2023 18:41:47 +0100

> Yes, I disabled all this to make sure the frame (and therefore the windows on the frame) would become as small as possible.  I tested this with emacs -Q, with several windows on the frame displaying a buffer in which (long-line-optimizations-p) is non-nil, without any header line or tab line.
 >
 > Perhaps I should have tried to disable the mode-line.  Let's see...
 >
 > M-: (setq mode-line-format nil) RET
 >
 > No, still no way to get a zero height or width.  Increasing or decreasing the font size in the buffer also has no effect, I can't get a zero height or width.

Disabling mode lines means you're working in the wrong direction.  Frame
resizing always tries to make windows at least one line high and two
columns wide.  You have to make a small window and make its mode lines
tall.  Then you have a chance to crash redisplay with macros like
WINDOW_BOX_HEIGHT_NO_MODE_LINE and WINDOW_BOX_TEXT_HEIGHT that subtract
mode line heights from a window's total height.

martin